Ciao. Da pochissimo mi sono avvicinato allo scripting in ubuntu 11.04. Andando nella directory bin vedo bash ma non ksh. Ho provato a scaricare il pacchetto ksh.tar.bz. Da terminale eseguo il comando:

sudo tar zxwf ksh.tar.bz

ed estraggo i file. Poi eseguo il comando

./configure

ma mi da errore. Sbaglio il procedimento? Sapete consigliarmi come installare ksh?

chiesto 02 Dic '16, 18:39

skipubuntu's gravatar image

skipubuntu
3013


Per prima cosa Ubuntu 11.04 è morto a ottobre del 2012, dovresti usare una versione più recente di Ubuntu, anche per la sicurezza.

Seconda cosa, bash contiene tutte le sintassi di ksh, che inoltre è una shell abbastanza vecchia, per cui è meglio dedicarsi a imparare bash piuttosto che ksh.
Se proprio ti serve ksh, puoi fare una ricerca tra i pacchetti disponibili con

enzotib@ubuntu$ apt-cache search korn shell
bash - GNU Bourne Again SHell
bash-doc - Documentation and examples for the GNU Bourne Again SHell
exuberant-ctags - Crea il file indice delle definizioni di codice sorgente
bash-static - GNU Bourne Again SHell (versione statica)
ksh - vera versione di AT&T della Korn shell
kxterm - CERNLIB data analysis suite - KUIP terminal emulator
libshell-posix-select-perl - POSIX Shell's "select" loop for Perl
mksh - MirBSD Korn Shell

e poi installare quello che preferisci, per esempio proprio ksh, con

sudo apt-get install ksh
coll. permanente

ha risposto 02 Dic '16, 18:54

enzotib's gravatar image

enzotib ♦♦
14.0k112186

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×227

domanda posta: 02 Dic '16, 18:39

domanda visualizzata: 712 volte

ultimo aggiornamento: 02 Dic '16, 18:54

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.